//
//  Review.swift
//  ReviewsFeed
//
//  Created by Dmitrii Ivanov on 21/07/2020.
//  Copyright © 2020 ING. All rights reserved.
//

import Foundation

struct Review {
    
    // MARK: Constants
    let author: String
    let comment: String
    let id: Int
    let rating: Rating
    let title: String

    func ratingVersionText() -> String {
        var stars = ""
        for _ in 0..<rating.stars {
            stars += "⭐️"
        }
        return "\(stars) (ver: \(rating.appVersion))"
    }
}

// MARK: - Structs
extension Review {
    struct Rating {
        
        // MARK: Constants
        let stars: Int
        let appVersion: String

    }
}
